import React from 'react';
export interface SystemMessageProps extends React.ComponentPropsWithoutRef<'div'> {
    icon?: React.ReactNode;
    locale?: 'en' | 'nb' | 'nn';
    /** Callback for when the system message has been closed (after animation ends) */
    onCloseRest?: () => void;
    /** Adds alternative styling for better contrast on certain backgrounds */
    onColoredBg?: boolean;
    /**
     * The type of system message. Used internally only-
     * @ignore
     **/
    modifier: 'error' | 'info' | 'success' | 'news';
}
export declare const SystemMessage: React.FC<SystemMessageProps>;
